Description: disable azure
Author: Félix Sipma <felix+debian@gueux.org>
Last-Update: 2023-10-23
Forwarded: not-needed

---
 cmd/restic/global.go | 2 --
 go.mod               | 5 -----
 2 files changed, 7 deletions(-)

--- a/cmd/restic/global.go
+++ b/cmd/restic/global.go
@@ -13,7 +13,6 @@ import (
 	"time"
 
 	"github.com/restic/restic/internal/backend"
-	"github.com/restic/restic/internal/backend/azure"
 	"github.com/restic/restic/internal/backend/b2"
 	"github.com/restic/restic/internal/backend/cache"
 	"github.com/restic/restic/internal/backend/gs"
@@ -103,7 +102,6 @@ var globalOptions = GlobalOptions{
 
 func init() {
 	backends := location.NewRegistry()
-	backends.Register(azure.NewFactory())
 	backends.Register(b2.NewFactory())
 	backends.Register(gs.NewFactory())
 	backends.Register(local.NewFactory())
--- a/go.mod
+++ b/go.mod
@@ -2,9 +2,6 @@ module github.com/restic/restic
 
 require (
 	cloud.google.com/go/storage v1.43.0
-	github.com/Azure/azure-sdk-for-go/sdk/azcore v1.12.0
-	github.com/Azure/azure-sdk-for-go/sdk/azidentity v1.7.0
-	github.com/Azure/azure-sdk-for-go/sdk/storage/azblob v1.3.2
 	github.com/Backblaze/blazer v0.6.1
 	github.com/anacrolix/fuse v0.3.1
 	github.com/cenkalti/backoff/v4 v4.3.0
@@ -43,8 +40,6 @@ require (
 	cloud.google.com/go/auth/oauth2adapt v0.2.2 // indirect
 	cloud.google.com/go/compute/metadata v0.3.0 // indirect
 	cloud.google.com/go/iam v1.1.8 // indirect
-	github.com/Azure/azure-sdk-for-go/sdk/internal v1.9.0 // indirect
-	github.com/AzureAD/microsoft-authentication-library-for-go v1.2.2 // indirect
 	github.com/cpuguy83/go-md2man/v2 v2.0.4 // indirect
 	github.com/dustin/go-humanize v1.0.1 // indirect
 	github.com/felixge/fgprof v0.9.3 // indirect
